Bug 61831 - logwatch modprobe filter should allow dashes in module names
Summary: logwatch modprobe filter should allow dashes in module names
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: logwatch (Show other bugs)
(Show other bugs)
Version: 7.2
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Elliot Lee
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-03-25 00:26 UTC by Ben Liblit
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-03-25 00:27:15 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch file changing the appropriate regexp (357 bytes, patch)
2002-03-25 00:27 UTC, Ben Liblit
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2002:053 normal SHIPPED_LIVE : Race conditions in logwatch 2002-03-28 05:00:00 UTC
Red Hat Product Errata RHSA-2002:054 normal SHIPPED_LIVE : Race conditions in logwatch 2002-03-28 05:00:00 UTC

Description Ben Liblit 2002-03-25 00:26:13 UTC
Logwatch's modprobe filter expects module names to obey the Perl regular
expression "\w+".  However, this pattern does not include "-", so modules with
dashes in their names are not handled properly.

The filter script "/etc/log.d/scripts/services/modprobe" should be modified to
allow dashes in module names.

Comment 1 Ben Liblit 2002-03-25 00:27:10 UTC
Created attachment 50045 [details]
patch file changing the appropriate regexp


Note You need to log in before you can comment on or make changes to this bug.